<template>
  <div>
    <div class="con-banner-top" />

    <div class="con-main-body">
      <div class="container">
        <CCard>
          <CCardHeader>
            <div>
              <font-awesome-icon :icon="['fas', 'user-friends']" />
              <strong>会員登録完了</strong>
            </div>
          </CCardHeader>

          <CCardBody>
            <div>
              ご登録ありがとうございました。
            </div>
          </CCardBody>
          <CCardFooter>
            <div class="card-footer-actions">
              <CButton
                color="dark"
                :disabled="loading"
                @click="linkTo('/')"
              >
                トップページへ戻る
              </CButton>
            </div>
          </CCardFooter>
        </CCard>
      </div>
    </div>
  </div>
</template>

<script>
import AsyncLoading from '~/mixins/do-async-loading'
import ConditionHandler from '~/mixins/condition'
import SearchFormHandler from '~/mixins/search-form'
import Paginator from '~/mixins/paginator'

export default {
  mixins: [
    AsyncLoading,
    ConditionHandler,
    SearchFormHandler,
    Paginator
  ],

  methods: {
    /**
     * Transition without returning to the completion screen
     */
    linkTo (path) {
      this.$router.replace(path)
    }
  }
}
</script>
